=== debian/changelog ===
dkms (2.8.7-2ubuntu2) jammy; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: If no linux-headers-* packages are installed, install
    all available ones before building modules. (Closes: #945594)
  * improve verbosity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2022 09:13:22 +0200

dkms (2.8.7-2ubuntu1) jammy; urgency=medium

  * d/p/prerm-hook-parsing: fix parsing of module name and version during
    kernel removal so that DKMS modules actually get removed when kernels are
    removed. LP: #1963835.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 01 Apr 2022 13:54:42 +0100

dkms (2.8.7-2) unstable; urgency=medium

  * Drop old conffile moved upstream (Closes: #990138)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Oct 2021 09:16:04 +0200

dkms (2.8.7-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 2.8.7
  * Refresh patches
  * Bump std-version to 4.6.0
  * Remove AUTHORS file, dropped upstream
  * override_dh_auto_install to fix double installation and failure in second gzip of manpage

  [ Dimitri John Ledkov ]
  * dkms-autopkgtest: only test dkms builds against kernel abi in the ADT
    trigger such that results are reported only for the requested kernel
    flavour. This is to catch cases when dkms module builds for a
    derivative kernel, but not for generic (or any other flavour) that may
    be installed on the test system in addition to the requested kernel
    flavour.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Oct 2021 10:23:02 +0200

dkms (2.8.4-4) unstable; urgency=medium

  * debian/patches/149.patch:
    - upstream proposed patch to fix wrong bash interpreter (Closes: #986674)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Apr 2021 14:28:48 +0200
