=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > debian/scripts/$@

override_dh_auto_build:

override_dh_auto_install:

override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	dh_gencontrol -- \
		-Vdkms:Breaks="shim-signed (<< 1.34~)"
else
	dh_gencontrol
endif
