## dkms 2.8.7-2ubuntu2.1mint1

=== debian/changelog ===
dkms (2.8.7-2ubuntu2.1mint1) vera; urgency=medium

  * dkms: Hardcode OS detection

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Feb 2023 11:07:19 +0000

dkms (2.8.7-2ubuntu2.1) jammy; urgency=medium

  * Cherry-pick patches from kinetic/stable to address building dkms
    modules correctly for HWE kernels (LP: #1991664):
    + Fix dkms-autopkgtest when a given dkms package is built into the
    kernel already of the same version. (i.e. zfs-linux on Ubuntu).
    + Use exact compiler for dkms as used to build the kernel, when
    possible.
    + Depend on gcc-12 to build modules for HWE kernels correctly.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 13:25:35 +0100
