## dkms 2.8.7-2ubuntu2.2mint1

=== debian/changelog ===
dkms (2.8.7-2ubuntu2.2mint1) virginia; urgency=medium

  * upstream: Add new feature BUILD_EXCLUSIVE_CONFIG="CONFIG_FOO !CONFIG_BAR"

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Nov 2023 09:49:29 +0000
