=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Petter Reinholdtsen <pere@debian.org>,
           Aron Xu <aron@debian.org>,
           Mario Limonciello <Mario_Limonciello@dell.com>,
           Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: dctrl-tools,
         dh-dkms (= ${binary:Version}),
         dpkg-dev,
         gcc | c-compiler,
         kmod | kldutils,
         make | build-essential,
         patch,
         ${misc:Depends}
Recommends: fakeroot,
            linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
            sudo
Suggests: e2fsprogs, menu
Breaks: ${dkms:Breaks}
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: dkms (<< 3.0.3-3~)
Replaces: dkms (<< 3.0.3-3~)
Provides: dh-sequence-dkms
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.
