=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+debian/scripts/dh_dkms: debian/scripts/dh_dkms.in
+	sed -r "s,^#VERSION#,our \$$VERSION = \"$(DEB_VERSION)\";," $< > $@
 
 dh_dkms.1: debian/scripts/dh_dkms
 	pod2man \
@@ -16,6 +19,7 @@
 
 override_dh_auto_install:
 
+override_dh_install: debian/scripts/dh_dkms
 override_dh_install:
 	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
 	dh_install
