## dkms 3.0.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "17 December 2021"
+RELEASE_DATE := "15 July 2022"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 3
+RELEASE_MICRO := 6
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -45,7 +45,7 @@
 	install -D -m 0755 dkms $(SBIN)/dkms
 	install -D -m 0755 dkms_autoinstaller $(LIBDIR)/dkms_autoinstaller
 	install -D -m 0644 dkms_framework.conf $(ETC)/framework.conf
-	install -D -m 0755 sign_helper.sh $(ETC)/sign_helper.sh
+	mkdir -p $(ETC)/framework.conf.d
 	install -D -m 0644 dkms.bash-completion $(BASHDIR)/dkms
 	install -D -m 0644 dkms.8 $(MAN)/dkms.8
 	install -D -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms
