=== debian/changelog ===
dkms (3.0.6-2ubuntu2) kinetic; urgency=medium

  * Fix dkms signing regressions with cherry-picks from 3.0.7 upstream
    git. LP: #1991725
    - Reinstate enroll call, as it causes dpkg-trigger action during dpkg
    transaction to enroll newly created key, if it wasn't enrolled yet.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 20 Oct 2022 12:34:29 +0100

dkms (3.0.6-2ubuntu1) kinetic; urgency=medium

  * Export exact CC compiler earlier, before pre_build script is run. Some
    dkms modules already perform compilation in pre_build script, and thus
    need correct CC variable earlier. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 15:22:46 +0100

dkms (3.0.6-2) unstable; urgency=medium

  * debian/patches/7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f.patch
    - Apply upstream patch suggested by Marinelli Giorgio, to fix an issue due
      to an extra $ character.
  * debian/patches/49d647b6476d605feb10548e33fc3807415ec724.patch
    - Apply another upstream hotfix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 12:27:13 +0200

dkms (3.0.6-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Print a summary for all tested kernels.
  * Update Lintian overrides.

  [ Dimitri John Ledkov ]
  * Use exact compiler for dkms as used to build the kernel, when possible.
  * Fix dkms-autopkgtest when a given dkms package is built into the kernel
    already of the same version. (i.e. zfs-linux on Ubuntu).

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.6
  * Refresh patches for new release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Sep 2022 10:11:13 +0200

dkms (3.0.3-4) unstable; urgency=medium

  * Make deprecation warnings less noisy and more informative.
    (Closes: #1012043)
  * Add new feature BUILD_EXCLUSIVE_CONFIG="CONFIG_FOO !CONFIG_BAR".
  * dh_dkms: Bump generated dependency if BUILD_EXCLUSIVE_CONFIG is used.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2022 09:28:22 +0200

dkms (3.0.3-3) experimental; urgency=medium

  * dkms-autopkgtest: Try not to fail if linux-doc is not installed.
  * Set 'our $VERSION' in dh_dkms to show it along autoscripts.
  * Move dh-dkms into a separate package.  (Closes: #966601)
  * Regenerate dh_dkms(1).
  * Clean up obsolete conffiles from /etc/dkms/template*/*. (Closes: #1012285)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 23:49:20 +0200

dkms (3.0.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms-autopkgtest: Only install linux-headers-* packages matching the
    source version of linux-doc (a dependency generated by autodep8 for
    autopkgtest-pkg-dkms). Mixing different versions may fail if multiple
    distros (e.g. testing and unstable) are enabled and pinning is used.
    (Closes: #1010883)
  * Provide versioned virtual package dh-dkms.
  * Drop maintainer script code handling upgrades from versions predating
    squeeze/trusty.
  * Properly clean up ancient /etc/bash_completion.d/dkms.
  * Clean up ancient /etc/dkms/kernel_install.d_dkms.  (Closes: #996812)
  * Add debian/upstream/metadata.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.
    - dkms: Drop versioned constraint on coreutils in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2022 16:12:46 +0200

dkms (3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3 (Closes: #996104, #1005812, #996648)
  * Drop examples removed upstream
  * Drop patches now part of upstream codebase:
    - 149.patch
    - do-not-load-modules.patch
  * Refresh export-CC patch

  [ Andreas Beckmann ]
  * dkms-autopkgtest: If no linux-headers-* packages are installed, install
    all available ones before building modules. (Closes: #945594)
  * improve verbosity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2022 12:08:47 +0200
