=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc | c-compiler,
 dpkg-dev,
 make | build-essential,
 patch,
 dctrl-tools,
 dh-dkms (= ${binary:Version}),
Recommends: fakeroot,
 sudo,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
Suggests: menu, e2fsprogs
Breaks: ${dkms:Breaks}
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends:
 ${perl:Depends},
 ${misc:Depends},
Breaks:
 dkms (<< 3.0.3-3~),
Replaces:
 dkms (<< 3.0.3-3~),
Provides:
 dh-sequence-dkms,
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.
