## dkms 3.0.8

=== debian/changelog ===
dkms (3.0.8-1~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ba0c1088cc8003212526564a34c47de64be5e523.
  * External port from:
    https://deb.debian.org/debian/pool/main/d/dkms/dkms_3.0.8-1.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sat, 26 Nov 2022 18:56:34 +0100

dkms (3.0.8-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * update watch file
  * message consistency

  [ Gianfranco Costamagna ]
  * New upstream version 3.0.8
  * Drop upstream patches:
    - 2b76d4aa29e65ae4ed8e89685c4e729f1276c5fc
    - 3ca52f8769bdf7ebdc83735355fff7c5c0664152
    - 7f3c4b03c506e40f0a5ce9315a8ade88b108ce0f
    - 8d60956f6dcda0679066954215eb8be4045413b4
    - 985bfd584f0e87bc726865bfdc17887d4713c854
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Nov 2022 22:34:50 +0100

dkms (3.0.6-4) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix dkms signing regressions with cherry-picks from 3.0.7 upstream
    git. LP: #1991725
    - Reinstate enroll call, as it causes dpkg-trigger action during dpkg
    transaction to enroll newly created key, if it wasn't enrolled yet.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Oct 2022 21:04:14 +0200

dkms (3.0.6-3) unstable; urgency=medium

  * Export exact CC compiler earlier, before pre_build script is run. Some
    dkms modules already perform compilation in pre_build script, and thus
    need correct CC variable earlier. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 04 Oct 2022 15:22:46 +0100
