## dkms 3.0.9

=== debian/changelog ===
dkms (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9 (Closes: #1019425)
  * Remove patches merged upstream and refresh remainders
  * Remove unused override: source/maintainer-manual-page
  * Remove unused "Breaks: ${dkms:Breaks}" from d/control
  * Fix bash term in dkms_common.postinst

 -- Aron Xu <aron@debian.org>  Tue, 13 Dec 2022 18:01:38 +0800

dkms (3.0.8-3) unstable; urgency=high

  * Revert back to 3.0.8-1 behavior to prevent breakages for sid users
    (Closes: #1025214, #1025171)

 -- Aron Xu <aron@debian.org>  Fri, 02 Dec 2022 19:49:16 +0800

dkms (3.0.8-2) unstable; urgency=medium

  * export-CC, exact-cc: Merge and improve the two patches. Ensure that
    compiler is set and exported as early in the prepartion stage as
    possible, is not subsequently unset (already unset at the start of the
    dkms script), and also export MAKEFLAGS to ensure that environment CC
    variable is used by kernel's Makefile. Fixes LP: #1997841
  * Drop dangling unapplied patch from git.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 24 Nov 2022 14:59:45 +0000
