## dkms 3.0.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "15 July 2022"
+RELEASE_DATE := "03 January 2023"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 6
+RELEASE_MICRO := 10
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -51,7 +51,7 @@
 	install -D -m 0755 kernel_install.d_dkms $(KCONF)/install.d/dkms
 	install -D -m 0755 kernel_postinst.d_dkms $(KCONF)/postinst.d/dkms
 	install -D -m 0755 kernel_prerm.d_dkms $(KCONF)/prerm.d/dkms
-	gzip -9 $(MAN)/dkms.8
+	gzip -n -9 $(MAN)/dkms.8
 
 install-redhat: install
 	install -D -m 0755 dkms_find-provides $(LIBDIR)/find-provides
