=== test/dkms_dependencies_test-1.0/Makefile ===
all:
    @echo ERROR: This module should never build.
    @exit 1
