=== test/dkms_failing_test-1.0/Makefile ===
all:
    @echo ERROR: This module fails to build.
    @exit 1"
