=== debian/changelog ===
dkms (3.0.10-8+deb12u1) bookworm; urgency=medium

  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jul 2023 13:43:22 +0200

dkms (3.0.10-8) unstable; urgency=medium

  * Disable tests broken by fix-builtin-archive-dkms-coinstallation.patch.
    (Closes: #1033396)
  * Run autopkgtest for all architectures using the headers from the
    linux-headers-generic (virtual) meta-package.
  * Generate dh_dkms.1 at build time.
  * Clean up /boot/*.old-dkms on upgrades from bullseye.  (Closes: #717584)
  * Clean up obsolete /etc/dkms/sign_helper.sh on upgrades. (Closes: #1019563)
  * dkms-autopkgtest: Try to 'dkms install' its BUILD_DEPENDS before testing a
    module. (Single level only, without recursion.)
  * Fix fallback value for BUILD_MODULE_NAME[0].  (Closes: #651973)
  * dkms.8: Clarify 'dkms add' arguments.  (Closes: #704917)
  * Print a warning if /proc is not mounted.  (Closes: #810665, #968074)
  * dkms_autoinstaller: Skip autoinstall if headers are missing (like
    dkms_common.postinst).  (Closes: #1030595)
  * Use return code 77 if skipping due to BUILD_EXCLUSIVE_*.
  * Sort kernels by version.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:01:26 +0200

dkms (3.0.10-7) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix release regression preventing co-installing in-archive dkms
    packages with kernels that built-in identical or newer versions of the
    same dkms package. LP: #2008269

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 00:02:08 +0100

dkms (3.0.10-6) unstable; urgency=medium

  * Fix test failure on s390x due to typo in "linux" package installation
    name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 09:37:48 +0100

dkms (3.0.10-5) unstable; urgency=medium

  * dkms-autopkgtest: fix typo in variable name

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2023 11:14:35 +0800

dkms (3.0.10-4) unstable; urgency=medium

  * dkms-autopkgtest: fix build vs install checks

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 07 Feb 2023 19:02:02 +0000

dkms (3.0.10-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms: Drop Depends: dh-dkms, the B-D: dkms have migrated to
    B-D: dh-sequence-dkms or B-D: dh-dkms.
  * Provide virtual package dkms-autopkgtest.
  * dkms-autopkgtest: Accept a list of packages to be tested as parameters.
  * dkms-autopkgtest: Ensure dctrl-tools and openssl are installed.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * dh_dkms: Error out if dkms.conf cannot be read.  (Closes: #1028331)
  * dh_dkms: Fall back to debian/tmp when looking up the dkms.conf template.

  [ Aron Xu ]
  * add autopkgtest for dkms itself

 -- Aron Xu <aron@debian.org>  Tue, 07 Feb 2023 14:55:19 +0800

dkms (3.0.10-2) unstable; urgency=medium

  * dkms-autopkgtest:
    - Use dkms --force to force installation and build
      if the module is already found (e.g. provided by kernel)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Jan 2023 10:16:53 +0100

dkms (3.0.10-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop gencontrol hack, now that the Breaks has been removed

  [ Aron Xu ]
  * New upstream version 3.0.10 (Closes: #1025783, #1026822)
  * Drop patch merged upstream

 -- Aron Xu <aron@debian.org>  Tue, 10 Jan 2023 22:08:49 +0800
