=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: dkms
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
+Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
  Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dell/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
@@ -25,13 +24,21 @@
  dpkg-dev,
  make | build-essential,
  patch,
- dctrl-tools,
- dh-dkms (= ${binary:Version}),
 Recommends: fakeroot,
  sudo,
- linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
+ linux-headers-generic | linux-headers-686-pae | linux-headers-amd64 | linux-headers,
 Suggests: menu, e2fsprogs
-Breaks: ${dkms:Breaks}
+Breaks:
+# in buster, not in bullseye
+ sl-modem-dkms (<< 2.9.11~20110321-16.0),
+# in stretch, not in buster
+ blktap-dkms (<< 2.0.93-0.10.0),
+# in jessie, not in stretch
+ oss4-dkms (<< 4.2-build2020-1~),
+# in wheezy, not in jessie
+ blcr-dkms (<< 0.8.6~b3-1.0),
+Provides:
+ dkms-autopkgtest (= ${binary:Version}),
 Description: Dynamic Kernel Module System (DKMS)
  DKMS is a framework designed to allow individual kernel modules to be upgraded
  without changing the whole kernel. It is also very easy to rebuild modules as
