=== debian/tests/control ===
Test-Command: sh debian/tests/run_test_wrapper.sh
Features: test-name=run_test.sh
Depends:
 dkms,
 openssl,
 linux-headers-generic,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
 skip-not-installable,
