## dkms 3.0.11

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "03 January 2023"
+RELEASE_DATE := "27 April 2023"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 10
+RELEASE_MICRO := 11
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
