=== debian/changelog ===
dkms (3.0.11-1ubuntu15) plucky; urgency=medium

  * dh_dkms: Always substitute #MODULE_VERSION#. (LP: #2102149)
    - Thanks to Andreas Beckmann!

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 13 Mar 2025 13:56:47 -0500

dkms (3.0.11-1ubuntu14) oracular; urgency=medium

  * control: Migrate to gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Aug 2024 11:49:17 +0300

dkms (3.0.11-1ubuntu13) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:18 +0200

dkms (3.0.11-1ubuntu12) mantic; urgency=medium

  * Depend on both gcc & gcc-13, as some dkms packages use autoconf and
    require /usr/bin/gcc to be there, even if underlying kernel build will
    use /usr/bin/gcc-13. This still is improvement, over mantic-release
    which in addition to these symlinks also pulls in gcc-12.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 10 Oct 2023 18:15:57 +0100

dkms (3.0.11-1ubuntu11) mantic; urgency=medium

  * Bump depends from gcc-12 to gcc-13, as all mantic kernels migrated to
    gcc-13.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 09 Oct 2023 23:15:05 +0100

dkms (3.0.11-1ubuntu10) mantic; urgency=medium

  * In autopkgtests expect zst compression for dkms modules for v6.5
    kernels.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 12 Sep 2023 19:40:25 +0100

dkms (3.0.11-1ubuntu9) mantic; urgency=medium

  * Unsupported DKMS modules break kernel header installation if compilation
    fails. Handle this by ignoring autoinstall errors if a release upgrade is
    in progress or if the file /etc/dkms/no-autoinstall-errors exists
    (LP: #2028366).

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 25 Jul 2023 16:29:26 +0200

dkms (3.0.11-1ubuntu8) mantic; urgency=medium

  * Kernel headers in recent ubuntu kernels hardcode specific compiler,
    without depending on the said compiler. Add gcc-12 dep on dkms
    packages, to unbreak all current set of autopkgtests that are
    executing against kernel in release and lack gcc-12 otherwise. This is
    a stop gap, as really, I guess we should add compiler dependency on
    the header package and live with that.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 20 Jul 2023 00:45:23 +0100

dkms (3.0.11-1ubuntu7) mantic; urgency=medium

  * Reset test messages correctly.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 24 May 2023 10:11:33 +0100

dkms (3.0.11-1ubuntu6) mantic; urgency=medium

  * Fix hardcoded arch in test result expectations.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 14:18:20 +0100

dkms (3.0.11-1ubuntu5) mantic; urgency=medium

  * Attempt #5 to fix autopkgtest on all arches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 11:44:45 +0100

dkms (3.0.11-1ubuntu4) mantic; urgency=medium

  * Testsuite forces a fake mok key, on arches that do not have
    update-secureboot-policy. Thus it should be possible to run the tests
    on all arches without specifying no-signing-tool flag. Try this now,
    again.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 19 May 2023 12:44:59 +0100

dkms (3.0.11-1ubuntu3) mantic; urgency=medium

  * Support running tests on systems with module signing, but without
    update-secureboot-policy.
  * Limit dkms-test-dkms to prevent badpkg on i386 for dkms-autopkgtest

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 23:42:40 +0100

dkms (3.0.11-1ubuntu2) mantic; urgency=medium

  * Fix autopkgtest for ubuntu delta.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 12:50:01 +0100

dkms (3.0.11-1ubuntu1) mantic; urgency=medium

  * Deliberate Ubuntu delta:
    - Even if there is no delta with Debian, do not force-sync this
    package. This package will be updated by the kernel team as part of
    landing new kernels. Neither upstream, nor Debian, use dkms to the
    same extend as Ubuntu Kernel Team build processes do, plus Ubuntu has
    more dkms packages than Debian. Testing in Debian is insufficient for
    successful upload to Ubuntu. Over the previous two cycles, there were
    multiple regressions introduced in upstream and Debian revisions that
    have significantly impacted Ubuntu development. Introducing more
    strict upload process for the DKMS package should hopefully mitigate
    this. Previous request from the Kernel to do this, was ignored close
    to Lunar release, which caused Lunar to be shipped with a regressed
    dkms.

  *  Fixup autopkgtest:
    - Support systems with secure boot off
    - Support systems without update-secureboot-policy

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 09 May 2023 10:37:14 +0100

dkms (3.0.11-1) experimental; urgency=medium

  * New upstream release.
    - Adds BUILD_EXCLUSIVE_{CONFIG,_KERNEL_{MIN,MAX}}.  (Closes: #911665)
    - Fixes BUILD_EXCLUSIVE matches propagating as error.  (Closes: #1031561)
  * Drop patches that were applied upstream.
  * Avoid unnecessary rpm comands on Debian based systems.  (Closes: #741399)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Apr 2023 18:12:51 +0200

dkms (3.0.10-9) experimental; urgency=medium

  * Add dkms-test-dkms package with trivial kernel module for dkms tests.
  * New autopkgtest: Install some-dkms after linux-headers.
  * New autopkgtest: Install linux-headers after some-dkms.
  * New autopkgtest: Install some-dkms after linux-image w/o linux-headers.
  * New autopkgtest: Install linux-image after some-dkms w/o linux-headers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Mar 2023 14:19:59 +0200

dkms (3.0.10-8ubuntu1) mantic; urgency=medium

  * Fix a regression that prevents a kernel installation if a BUILD_EXCLUSIVE
    skips a DKMS build. LP: #2018226

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 02 May 2023 16:41:37 +0200
