=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dkms
 Section: kernel
 Priority: optional
-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
@@ -13,6 +14,7 @@
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: dkms
 Architecture: all
@@ -20,7 +22,7 @@
 Pre-Depends: lsb-release
 Depends: ${misc:Depends},
  kmod | kldutils,
- gcc | c-compiler,
+ gcc, gcc-14,
  dpkg-dev,
  make | build-essential,
  patch,
@@ -28,15 +30,6 @@
  sudo,
  linux-headers-generic | linux-headers-686-pae | linux-headers-amd64 | linux-headers,
 Suggests: menu, e2fsprogs
-Breaks:
-# in buster, not in bullseye
- sl-modem-dkms (<< 2.9.11~20110321-16.0),
-# in stretch, not in buster
- blktap-dkms (<< 2.0.93-0.10.0),
-# in jessie, not in stretch
- oss4-dkms (<< 4.2-build2020-1~),
-# in wheezy, not in jessie
- blcr-dkms (<< 0.8.6~b3-1.0),
 Provides:
  dkms-autopkgtest (= ${binary:Version}),
 Description: Dynamic Kernel Module System (DKMS)
@@ -63,3 +56,13 @@
  .
  This package provides a debhelper add-on 'dkms' that simplifies packaging of
  dkms kernel module source packages.
+
+Package: dkms-test-dkms
+Architecture: amd64
+Depends:
+ ${misc:Depends},
+Description: trivial dkms test kernel module
+ This package provides the dkms source code for the dkms-test kernel module.
+ .
+ This package is only intended for ci tests and not expected to be installed
+ on regular systems
